Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(1)

Issue 144333002: Prevent crash in createInstanceTimesFromSyncbase (Closed)

Created:
6 years, 10 months ago by pdr.
Modified:
6 years, 10 months ago
CC:
blink-reviews, ed+blinkwatch_opera.com, shans, rjwright, alancutter (OOO until 2018), Mike Lawther (Google), rwlbuis, fs, dstockwell, Timothy Loh, krit, f(malita), darktears, pdr, Stephen Chennney, Steve Block, dino_apple.com, Eric Willigers
Visibility:
Public.

Description

Prevent crash in createInstanceTimesFromSyncbase This patch prevents a crash in createInstanceTimesFromSyncbase where a non-finite time would assert. This case is valid and we've added a test to prove it. This patch is a merge of http://trac.webkit.org/changeset/162459 by Tamas Gergely <tgergely.u-szeged@partner.samsung.com>;. BUG=231531 NOTRY=true Committed: https://src.chromium.org/viewvc/blink?view=rev&revision=165498

Patch Set 1 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+48 lines, -1 line) Patch
A LayoutTests/svg/animations/self-dependency-crash.html View 1 chunk +11 lines, -0 lines 0 comments Download
A LayoutTests/svg/animations/self-dependency-crash-expected.html View 1 chunk +9 lines, -0 lines 0 comments Download
A LayoutTests/svg/animations/smil-syncbase-self-dependency.svg View 1 chunk +25 lines, -0 lines 0 comments Download
A LayoutTests/svg/animations/smil-syncbase-self-dependency-expected.txt View 1 chunk +1 line, -0 lines 0 comments Download
M Source/core/svg/animation/SVGSMILElement.cpp View 1 chunk +2 lines, -1 line 0 comments Download

Messages

Total messages: 8 (0 generated)
pdr.
6 years, 10 months ago (2014-01-21 21:56:41 UTC) #1
Stephen Chennney
Seems fine to me. LGTM
6 years, 10 months ago (2014-01-21 22:15:51 UTC) #2
pdr.
On 2014/01/21 22:15:51, Stephen Chenney wrote: > Seems fine to me. LGTM Thanks for the ...
6 years, 10 months ago (2014-01-21 22:17:14 UTC) #3
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/pdr@chromium.org/144333002/1
6 years, 10 months ago (2014-01-21 22:17:42 UTC) #4
commit-bot: I haz the power
Retried try job too often on linux_blink_rel for step(s) webkit_unit_tests http://build.chromium.org/p/tryserver.chromium/buildstatus?builder=linux_blink_rel&number=18410
6 years, 10 months ago (2014-01-21 23:07:31 UTC) #5
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/pdr@chromium.org/144333002/1
6 years, 10 months ago (2014-01-22 01:00:26 UTC) #6
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/pdr@chromium.org/144333002/1
6 years, 10 months ago (2014-01-22 01:05:27 UTC) #7
commit-bot: I haz the power
6 years, 10 months ago (2014-01-22 01:06:13 UTC) #8
Message was sent while issue was closed.
Change committed as 165498

Powered by Google App Engine
This is Rietveld 408576698